'use strict';var SiSlScreenHelper=(function(){var screen=null;var header=null;var title=null;var container=null;var text=null;var link=null;var messageDiv=null;var softkeyPanel=null;var normalSoftkeyParams={menuClassName:'menu-button',items:[{name:'Close',l10nId:'close',priority:1,method:sssh_onClose}]};var linkSoftkeyParams={menuClassName:'menu-button',items:[{name:'Close',l10nId:'close',priority:1,method:sssh_onClose},{name:'Select',l10nId:'select',icon:'ok',priority:2,method:function(){var dataset={};dataset.url=link.dataset.url;dataset.action=link.dataset.action;LinkActionHandler.onClick(dataset);}}]};document.body.classList.toggle('large-text',navigator.largeTextEnabled);function sssh_init(){title=document.getElementById('title-si-sl');screen=document.getElementById('si-sl-screen');header=document.getElementById('header-si-sl');container=screen.querySelector('.container');messageDiv=screen.querySelector('.message');text=container.querySelector('p');link=container.querySelector('a');window.addEventListener('keydown',handleKeyDown);if(softkeyPanel){softkeyPanel.initSoftKeyPanel(normalSoftkeyParams);}else{softkeyPanel=new SoftkeyPanel(normalSoftkeyParams);}}
function handleKeyDown(event){if(document.hidden||screen.hidden){return;}
switch(event.key){case'ArrowUp':case'ArrowDown':scroll(messageDiv,event.key);var isInScreen=checkInScreen(link,messageDiv);if(document.querySelector('a.selected')&&!isInScreen){link.classList.remove('selected');softkeyPanel.initSoftKeyPanel(normalSoftkeyParams);}else if(!document.querySelector('a.selected')&&isInScreen){link.classList.add('selected');softkeyPanel.initSoftKeyPanel(linkSoftkeyParams);}
softkeyPanel.show();break;default:break;}}
function sssh_populateScreen(message){var _=navigator.mozL10n.get;screen.hidden=false;if(message&&!message.isExpired()){title.textContent=message.sender;text.textContent=message.text;link.textContent=message.href;link.href=message.href;link.dataset.url=message.href;}else{title.textContent=_('wap-push-message');text.textContent=_('this-message-has-expired');link.textContent='';link.href='';link.dataset.url='';}
softkeyPanel.show();}
function sssh_onClose(){WapPushManager.close();}
function scroll(element,direction){var sHeight=element.scrollHeight;var cHeight=element.clientHeight;var moveHeight=sHeight-cHeight;var sTop=element.scrollTop;var stepLength=50;if(direction==='ArrowDown'){if(sTop<moveHeight){if(sTop+stepLength>=moveHeight){element.scrollTop=moveHeight;}else{element.scrollTop=sTop+stepLength;}}}else if(direction==='ArrowUp'){if(sTop-stepLength>=0){element.scrollTop=sTop-stepLength;}else{element.scrollTop=0;}}}
function checkInScreen(childEl,parentEl){var position=childEl.offsetTop-parentEl.scrollTop;return position<parentEl.clientHeight?true:false;}
return{init:sssh_init,populateScreen:sssh_populateScreen};})();